using UnityEngine;
using System.Collections;

namespace PlayerCoreEngine
{
	public class States 
	{
		
	  public static Vector3 moveDirection = Vector3.zero;	
		
	  public static bool s_bTouchedHole = false;
		
	  public static bool s_bTouchedBackHole = false;
		
	  public static Vector3 playerPosition = Vector3.zero;
		
	  public static int s_PlayerScore = 0;
		
	   public int PlayerScore
		{
			get { return s_PlayerScore;}
			set {s_PlayerScore = value;}
		}
		
		public enum PlayerStates
		{
			Live,
			Die,
			TouchedDeadZone,
			Win
		}
		
		public static PlayerStates m_PlayerStates;
		
		public PlayerStates PlayerCurrentState
		{
			get { return m_PlayerStates;}
			set { m_PlayerStates = value;}	
			
		}
		
	}
	
	public class LevelStates
	{
		public enum eLevelStates
		{
			FacingUp,
			FacingDown,
			TurningDown,
			TurningUp,
			Stop
		}
		
		public static eLevelStates m_LevelCurrentLevel; 
		
		public eLevelStates CurrentLevel
		{
			get { return m_LevelCurrentLevel;}
			set { m_LevelCurrentLevel = value;}
		}
		
		
		public static bool s_bLevelTurning;	
	}
	
	public class HoleInfo
	{
		public static Vector3 s_vHolePosition;	
		
	}
	
	public class BombInfo
	{
		public enum BombStates
		{
			Explosion,
			ReadyExplosion,
			Noexplosion
		}
		
		public static BombStates m_Bombstate;
		
		public BombStates CurrentBombState
		{
			get {return m_Bombstate;} 
			set {m_Bombstate = value; }
		}
		
	
		
	}
	
	public class TreeInfo
	{
		public enum TreeStates
		{
			Stand,
			BombAttached,
			Falling,
			LieDown
		}
		
		public static TreeStates m_TreeStates;
		
		public TreeStates CurrentTreeStates
		{
			get {return m_TreeStates;}
			set {m_TreeStates = value;}
			
		}
		
		
	}

}