using UnityEngine;
using System.Collections;
using PlayerCoreEngine;

public class TreeTriggerScript : MonoBehaviour {

	
	public Vector3 m_vBombPosition;
	
	public bool m_bGotBomb;
	
	public bool m_bBombExplosion;
	// Use this for initialization
	void Start () {
		m_vBombPosition = Vector3.zero;
		m_bGotBomb = false;
		m_bBombExplosion = false;
		
		
	}
	
	// Update is called once per frame
	void Update () {
	
		BombsRun();
	}
	
	void OnTriggerStay (Collider col)
	{
		if (col.tag == "Bombs")
		{
			m_vBombPosition = new Vector3 (col.transform.position.x, col.transform.position.y, col.transform.position.z);	
			m_bGotBomb = true;
			
			TreeInfo treeinfo = new TreeInfo ();
			treeinfo.CurrentTreeStates = TreeInfo.TreeStates.BombAttached;
			
			
		/**	
		   if (col.GetComponent<BombScript>().m_bExplosion)
			{
				m_bBombExplosion = true;
				col.GetComponent<BombScript>().m_bExplosion = false;
				
			}
			**/
  
		}
		
	}
	
	
	
	void BombsRun()
	{
		BombInfo bombinfo = new BombInfo();
		TreeInfo treeinfo01 = new TreeInfo ();
		if (bombinfo.CurrentBombState == BombInfo.BombStates.Explosion
			&& treeinfo01.CurrentTreeStates == TreeInfo.TreeStates.BombAttached )
		{
			treeinfo01.CurrentTreeStates = TreeInfo.TreeStates.Falling;
		}
		
	}
}
