using UnityEngine;
using System.Collections;
using PlayerCoreEngine;

public class PlayerMovement : MonoBehaviour {
	
	
	private float m_fHorizontal;
	private float m_fVertical;
	
	private float m_fRotateSpeed = 2.0f;
	//private float m_fRotateSpeed = 200.0f;
	private float m_fGravity = 10.0f;
	
	private CharacterController controller;
	
	//public Vector3 moveDirection = Vector3.zero;
	// Use this for initialization
	void awake()
	{
			
	}
	
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
		controller = GetComponent<CharacterController>();
		MovementControll();
	}
	
	void MovementControll()
	{
	/**	
		m_fHorizontal = Input.GetAxis("Horizontal");
		m_fVertical = Input.GetAxis("Vertical");
		
		transform.Rotate(0, m_fHorizontal * m_fRotateSpeed * Time.deltaTime,0);
		
		Vector3 forward = transform.TransformDirection (Vector3.forward);
		float curSpeed = m_fRotateSpeed * m_fVertical;
		controller.SimpleMove(forward * curSpeed * Time.deltaTime);
	**/	
		// Apply gravity
		
		if (controller.isGrounded)
		{
		
			States.moveDirection = new Vector3(Input.GetAxis("Horizontal"),0,Input.GetAxis("Vertical"));
			States.moveDirection = transform.TransformDirection(States.moveDirection);
			States.moveDirection *= m_fRotateSpeed;
			
			gameObject.transform.Rotate (Vector3.forward * m_fRotateSpeed * Time.deltaTime);
			
		}
		
		if (!States.s_bTouchedHole)
		{
			States.moveDirection.y -= m_fGravity * Time.deltaTime;
		}
		else if (States.s_bTouchedHole)
		{
			States.moveDirection.x = 0.0f;
			States.moveDirection.z = 0.0f;
			States.moveDirection.y = 1.0f;
		}
		
		// Move the controller
		controller.Move(States.moveDirection * Time.deltaTime);
		
	/////////////////////////
		
			
		
		////////////////
		
	}
	

}
